class CustomException implements Exception {
  final String _message;
  final String _prefix;
  CustomException(this._message, this._prefix);
  @override
  String toString() {
    return "$_prefix:$_message";
  }
}

class InternetConnectionException extends CustomException {
  InternetConnectionException({required String message})
      : super(message, 'Please Check Your Mobile Internet Connection');
}

class FetchDataException extends CustomException {
  FetchDataException({required String message})
      : super(message, 'Please Check Your Data');
}

class BadRequestException extends CustomException {
  BadRequestException({required String message})
      : super(message, 'Bad Request');
}

class UnauthorizedException extends CustomException {
  UnauthorizedException({required String message})
      : super(message, 'Unauthorized');
}

class InvalidInputException extends CustomException {
  InvalidInputException({required String message})
      : super(message, 'Unauthorized');
}

class TimeoutException extends CustomException {
  TimeoutException({required String message}) : super(message, 'Unauthorized');
}
