import 'dart:convert';

import 'package:http/http.dart' as http;
import 'package:rest_api_helper/exceptions/custom_exception.dart';

dynamic responseCheck(http.Response response) {
  switch (response.statusCode) {
    case 200:
    case 201:
      return json.decode(response.body.toString());
    case 400:
      throw BadRequestException(message: response.body.toString());
    case 401:
    case 403:
      throw UnauthorizedException(message: response.body.toString());
    case 422:
      return json.decode(response.body.toString());
    case 500:
    default:
      throw InternetConnectionException(
          message:
              'Error occured when communicating with server with status code:${response.statusCode}');
  }
}

Uri parseURL({required String url, required String baseUrl}) {
  return Uri.parse(baseUrl + url);
}
